/* 
 * Copyright (c) 2010, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */
var wizardVersion = "2.25.02";
var DEFAULT_STACKSIZE = '<use codec defaults>';

var INIT_MESSAGE = "Codec Engine GenServer Wizard v" + wizardVersion
    + "\nTexas Instruments";

var INSTRUCTIONS0 = 'For more information, see: '
    +' <a href="http://processors.wiki.ti.com/index.php/Codec_Engine_GenServer_Wizard_FAQ">Codec Engine GenServer Wizard FAQ</a>';


var INSTRUCTIONS1 = 'For more information, see: '
    + "For more information, see:  "
    +' <a href="http://processors.wiki.ti.com/index.php/Codec_Engine_GenServer_Wizard_FAQ">Codec Engine GenServer Wizard FAQ</a> '
    + "and\n"
    + '<a href="http://wiki.davincidsp.com/index.php/Codec_Engine_GroupIds">Codec Engine GroupIds</a>  '
    + "and\n"
    + '<a href="http://wiki.davincidsp.com/index.php/Memory_management_in_XDAIS_with_DSKT2">Memory management in XDAIS with DSKT2</a>';

var INSTRUCTIONS2 = 'For more information, see: '
    +' <a href="http://processors.wiki.ti.com/index.php/Codec_Engine_GenServer_Wizard_FAQ">Codec Engine GenServer Wizard FAQ</a>';

var ABOUT_MESSAGE = INIT_MESSAGE;

/* abridged instructions to show at the top of each panel */
var BANNER0 =
    "Click the 'Search for Codecs' button. If the list is empty or"
    + " you would like to use other codecs, click"
    + " 'Set Package Search Path' and edit the directories."
    + " Check the codecs that you want to use from the list. Hold the"
    + " mouse pointer over a codec to view the fully qualified name."
    + " See Help for detailed information about field input. ";

var BANNER1 =
    "To set Server.algs array values for a codec, select the codec."
    + " To configure group values, select the group. "
    + " Hold the mouse pointer"
    + " over a codec to view the fully qualified name."
    + " A codec can be dragged and dropped into another group. Right-click"
    + " in the tree pane or on a tree item for options."
    + " See Help for detailed information about field input.";


var BANNER2 =
    "To configure memory, uncheck 'Use Defaults', select the"
    + " order of the memory areas, and enter a base address and size for each"
    + " section. To have all sections aligned automatically as values are"
    + " entered, select the 'From top' or 'From bottom' radio button."
    + " To restore all values to the defaults initially displayed, check"
    + " 'Use Defaults'. Please note that the 'RESET_VECTOR'"
    + " memory area section needs to start at an even 1Mb, and is of "
    + " fixed size 0x80.";

var VIDEO_GROUPID = 0;
var AUDIO_GROUPID = 1;

var ENTER_CGTOOLS = '<C6000 TI codegen tools directory>';
var ENTER_OUTREPO = '<Server destination directory>';

var CGTOOLS_DESC = 'Your TI C6000 codegen tools directory, e.g.\n' +
'"C:/Program Files/Texas Instruments/ccsv4/tools/compiler/c6000"';


var CODECS_DESC = 
      "These are the names of the codec modules you wish to create the Server for"

var SEARCH_DESC = 
    "Look on the search path for modules that inherit ti.sdo.ce.ICodec"


var SEARCH_PATH_DESC =
    "The path to search for codecs and for libraries used to build the Server"

/*
 *  @(#) ti.sdo.ce.wizards.genserver; 1, 0, 0,51; 5-6-2010 14:55:54; /db/atree/library/trees/ce/ce-o11x/src/
 */

